#include <stdio.h>

int main() {
    int a, b, c, sum=0;
    scanf("%d %d %d",&a,&b,&c);
    sum = a + b + c;
    if(sum!=180) {
        printf("Error\n");
    }
    else if(a==b && a==c) {
        printf("Equilateral\n");
    }
    else if(a==b || a==c || b==c) {
        printf("Isosceles\n");
    }
    else {
        printf("Scalene\n");
    }

    return 0;
}